summaryrefslogtreecommitdiffstats
path: root/graphics/feh/feh.SlackBuild
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-11 14:55:16 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:55:16 +0200
commitaae29a4adcae83148b396279f5036b37c1c292cc (patch)
tree6f678ede28e66006168f43345c400456bd1c6551 /graphics/feh/feh.SlackBuild
parent581e65eb98243e495de16bdf48528930f0aa6d3c (diff)
downloadslackbuilds-aae29a4adcae83148b396279f5036b37c1c292cc.tar.gz
slackbuilds-aae29a4adcae83148b396279f5036b37c1c292cc.tar.xz
graphics/feh: Initial import
Diffstat (limited to 'graphics/feh/feh.SlackBuild')
-rw-r--r--graphics/feh/feh.SlackBuild61
1 files changed, 61 insertions, 0 deletions
diff --git a/graphics/feh/feh.SlackBuild b/graphics/feh/feh.SlackBuild
new file mode 100644
index 0000000000..ccfd4ff316
--- /dev/null
+++ b/graphics/feh/feh.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for feh
+
+# Written by Chess Griffin <chess at chessgriffin dot com>
+# Modified by the SlackBuilds.org project
+
+PRGNAM=feh
+VERSION=1.3.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+fi
+
+# The Makefile already copies most of the docs; this does the rest
+mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING cam $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz